Bug 30569 - [Qt] webcore.pro incorrect linking of sqlite3 on Symbian
Summary: [Qt] webcore.pro incorrect linking of sqlite3 on Symbian
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Qt (show other bugs)
Version: 528+ (Nightly build)
Hardware: S60 Hardware S60 3rd edition
: P2 Critical
Assignee: Nobody
URL:
Keywords: Qt
Depends on:
Blocks: 27065
  Show dependency treegraph
 
Reported: 2009-10-20 06:41 PDT by Janne Koskinen
Modified: 2009-10-23 12:14 PDT (History)
2 users (show)

See Also:


Attachments
proposed fix for webcore.pro (1.09 KB, patch)
2009-10-20 06:46 PDT, Janne Koskinen
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Janne Koskinen 2009-10-20 06:41:58 PDT
Sqlite3 should be dynamically linked in Symbian as the sqlite3.dll is now provided by the system or as an additional installed library depending on platform/target device version.
webcore.pro will try make the linker to try link it statically due to ".lib" in LIBS statement and in Symbian environment will cause sqlite3.lib to be searched from wrong path causing build break if the file is not manually copied to that directory. 
With copying you end up with static linking.
Comment 1 Janne Koskinen 2009-10-20 06:46:17 PDT
Created attachment 41504 [details]
proposed fix for webcore.pro
Comment 2 Eric Seidel (no email) 2009-10-21 10:39:02 PDT
Comment on attachment 41504 [details]
proposed fix for webcore.pro

This looks fine to me. Seems a qt person would be a better reviewer though.
Comment 3 Tor Arne Vestbø 2009-10-23 06:36:37 PDT
Comment on attachment 41504 [details]
proposed fix for webcore.pro

LGTM
Comment 4 WebKit Commit Bot 2009-10-23 06:44:12 PDT
Comment on attachment 41504 [details]
proposed fix for webcore.pro

Rejecting patch 41504 from commit-queue.

Failed to run "['WebKitTools/Scripts/run-webkit-tests', '--no-launch-safari', '--quiet', '--exit-after-n-failures=1']" exit_code: 1
Running build-dumprendertree
Running tests from /Users/eseidel/Projects/CommitQueue/LayoutTests
Testing 11506 test cases.
fast/media/mq-transform-02.html -> failed

Exiting early after 1 failures. 7441 tests run.
139.03s total testing time

7440 test cases (99%) succeeded
1 test case (<1%) had incorrect layout
3 test cases (<1%) had stderr output
Comment 5 Eric Seidel (no email) 2009-10-23 12:01:48 PDT
Comment on attachment 41504 [details]
proposed fix for webcore.pro

Sorry about the commit-queue trouble.  Should work fine now.
Comment 6 WebKit Commit Bot 2009-10-23 12:14:35 PDT
Comment on attachment 41504 [details]
proposed fix for webcore.pro

Clearing flags on attachment: 41504

Committed r49986: <http://trac.webkit.org/changeset/49986>
Comment 7 WebKit Commit Bot 2009-10-23 12:14:38 PDT
All reviewed patches have been landed.  Closing bug.